package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class listpat_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,36);
if (RapidSub.canDelegate("activity_create")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","activity_create", _firsttime);}
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 36;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(8);
 BA.debugLineNum = 37;BA.debugLine="init_view";
Debug.ShouldStop(16);
_init_view();
 BA.debugLineNum = 38;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,222);
if (RapidSub.canDelegate("activity_pause")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 222;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 224;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,218);
if (RapidSub.canDelegate("activity_resume")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","activity_resume");}
 BA.debugLineNum = 218;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 220;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _addrow(RemoteObject _values) throws Exception{
try {
		Debug.PushSubsStack("AddRow (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,136);
if (RapidSub.canDelegate("addrow")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","addrow", _values);}
RemoteObject _lastrow = RemoteObject.createImmutable(0);
int _i = 0;
RemoteObject _l = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _rc = RemoteObject.declareNull("shub.dpm.listdata._rowcol");
RemoteObject _leftpos = RemoteObject.createImmutable(0);
RemoteObject _colwi = RemoteObject.createImmutable(0);
Debug.locals.put("Values", _values);
 BA.debugLineNum = 136;BA.debugLine="Sub AddRow(Values() As String)";
Debug.ShouldStop(128);
 BA.debugLineNum = 137;BA.debugLine="If Values.Length <> NumberOfColumns Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean("!",_values.getField(true,"length"),BA.numberCast(double.class, listpat._numberofcolumns))) { 
 BA.debugLineNum = 138;BA.debugLine="Log(\"Wrong number of values.\")";
Debug.ShouldStop(512);
listpat.mostCurrent.__c.runVoidMethod ("LogImpl","14390914",RemoteObject.createImmutable("Wrong number of values."),0);
 BA.debugLineNum = 139;BA.debugLine="Return";
Debug.ShouldStop(1024);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 141;BA.debugLine="Dim lastRow As Int";
Debug.ShouldStop(4096);
_lastrow = RemoteObject.createImmutable(0);Debug.locals.put("lastRow", _lastrow);
 BA.debugLineNum = 142;BA.debugLine="lastRow = NumberOfRows";
Debug.ShouldStop(8192);
_lastrow = _numberofrows();Debug.locals.put("lastRow", _lastrow);
 BA.debugLineNum = 143;BA.debugLine="For i = 0 To NumberOfColumns - 1";
Debug.ShouldStop(16384);
{
final int step7 = 1;
final int limit7 = RemoteObject.solve(new RemoteObject[] {listpat._numberofcolumns,RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step7 > 0 && _i <= limit7) || (step7 < 0 && _i >= limit7) ;_i = ((int)(0 + _i + step7))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 144;BA.debugLine="Dim l As Label";
Debug.ShouldStop(32768);
_l = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("l", _l);
 BA.debugLineNum = 145;BA.debugLine="l.Initialize(\"cell\")";
Debug.ShouldStop(65536);
_l.runVoidMethod ("Initialize",listpat.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("cell")));
 BA.debugLineNum = 146;BA.debugLine="l.Text = Values(i)";
Debug.ShouldStop(131072);
_l.runMethod(true,"setText",BA.ObjectToCharSequence(_values.getArrayElement(true,BA.numberCast(int.class, _i))));
 BA.debugLineNum = 147;BA.debugLine="l.Gravity = Alignment";
Debug.ShouldStop(262144);
_l.runMethod(true,"setGravity",listpat._alignment);
 BA.debugLineNum = 148;BA.debugLine="If i=1 Then l.Gravity=Bit.Or(Gravity.FILL, Gravi";
Debug.ShouldStop(524288);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, 1))) { 
_l.runMethod(true,"setGravity",listpat.mostCurrent.__c.getField(false,"Bit").runMethod(true,"Or",(Object)(listpat.mostCurrent.__c.getField(false,"Gravity").getField(true,"FILL")),(Object)(listpat.mostCurrent.__c.getField(false,"Gravity").getField(true,"CENTER_HORIZONTAL"))));};
 BA.debugLineNum = 149;BA.debugLine="l.TextSize = FontSize";
Debug.ShouldStop(1048576);
_l.runMethod(true,"setTextSize",listpat._fontsize);
 BA.debugLineNum = 150;BA.debugLine="l.TextColor = FontColor";
Debug.ShouldStop(2097152);
_l.runMethod(true,"setTextColor",listpat._fontcolor);
 BA.debugLineNum = 151;BA.debugLine="Dim rc As RowCol";
Debug.ShouldStop(4194304);
_rc = RemoteObject.createNew ("shub.dpm.listdata._rowcol");Debug.locals.put("rc", _rc);
 BA.debugLineNum = 152;BA.debugLine="rc.Initialize";
Debug.ShouldStop(8388608);
_rc.runVoidMethod ("Initialize");
 BA.debugLineNum = 153;BA.debugLine="rc.Col = i";
Debug.ShouldStop(16777216);
_rc.setField ("Col" /*RemoteObject*/ ,BA.numberCast(int.class, _i));
 BA.debugLineNum = 154;BA.debugLine="rc.Row = lastRow";
Debug.ShouldStop(33554432);
_rc.setField ("Row" /*RemoteObject*/ ,_lastrow);
 BA.debugLineNum = 155;BA.debugLine="l.Tag = rc";
Debug.ShouldStop(67108864);
_l.runMethod(false,"setTag",(_rc));
 BA.debugLineNum = 156;BA.debugLine="Dim leftpos As Int";
Debug.ShouldStop(134217728);
_leftpos = RemoteObject.createImmutable(0);Debug.locals.put("leftpos", _leftpos);
 BA.debugLineNum = 157;BA.debugLine="Dim colwi As Int";
Debug.ShouldStop(268435456);
_colwi = RemoteObject.createImmutable(0);Debug.locals.put("colwi", _colwi);
 BA.debugLineNum = 158;BA.debugLine="If i=0 Then";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 159;BA.debugLine="leftpos=0";
Debug.ShouldStop(1073741824);
_leftpos = BA.numberCast(int.class, 0);Debug.locals.put("leftpos", _leftpos);
 BA.debugLineNum = 160;BA.debugLine="colwi=20%x";
Debug.ShouldStop(-2147483648);
_colwi = listpat.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 20)),listpat.mostCurrent.activityBA);Debug.locals.put("colwi", _colwi);
 };
 BA.debugLineNum = 162;BA.debugLine="If i=1 Then";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, 1))) { 
 BA.debugLineNum = 163;BA.debugLine="leftpos=20%x";
Debug.ShouldStop(4);
_leftpos = listpat.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 20)),listpat.mostCurrent.activityBA);Debug.locals.put("leftpos", _leftpos);
 BA.debugLineNum = 164;BA.debugLine="colwi=80%x";
Debug.ShouldStop(8);
_colwi = listpat.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 80)),listpat.mostCurrent.activityBA);Debug.locals.put("colwi", _colwi);
 };
 BA.debugLineNum = 166;BA.debugLine="Table.AddView(l, leftpos, RowHeight * lastRow, c";
Debug.ShouldStop(32);
listpat.mostCurrent._table.runVoidMethod ("AddView",(Object)((_l.getObject())),(Object)(_leftpos),(Object)(RemoteObject.solve(new RemoteObject[] {listpat._rowheight,_lastrow}, "*",0, 1)),(Object)(_colwi),(Object)(listpat._rowheight));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 170;BA.debugLine="Table.Height = NumberOfRows * RowHeight";
Debug.ShouldStop(512);
listpat.mostCurrent._table.runMethod(true,"setHeight",RemoteObject.solve(new RemoteObject[] {_numberofrows(),listpat._rowheight}, "*",0, 1));
 BA.debugLineNum = 171;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _bclose_click() throws Exception{
try {
		Debug.PushSubsStack("bClose_Click (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,227);
if (RapidSub.canDelegate("bclose_click")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","bclose_click");}
 BA.debugLineNum = 227;BA.debugLine="Private Sub bClose_Click";
Debug.ShouldStop(4);
 BA.debugLineNum = 228;BA.debugLine="Activity.Finish";
Debug.ShouldStop(8);
listpat.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 230;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cell_click() throws Exception{
try {
		Debug.PushSubsStack("Cell_Click (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,97);
if (RapidSub.canDelegate("cell_click")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","cell_click");}
RemoteObject _rc = RemoteObject.declareNull("shub.dpm.listdata._rowcol");
RemoteObject _l = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
int _i = 0;
RemoteObject _map1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
 BA.debugLineNum = 97;BA.debugLine="Sub Cell_Click";
Debug.ShouldStop(1);
 BA.debugLineNum = 98;BA.debugLine="Dim rc As RowCol";
Debug.ShouldStop(2);
_rc = RemoteObject.createNew ("shub.dpm.listdata._rowcol");Debug.locals.put("rc", _rc);
 BA.debugLineNum = 99;BA.debugLine="Dim l As Label";
Debug.ShouldStop(4);
_l = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("l", _l);
 BA.debugLineNum = 100;BA.debugLine="l = Sender";
Debug.ShouldStop(8);
_l = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.LabelWrapper"), listpat.mostCurrent.__c.runMethod(false,"Sender",listpat.mostCurrent.activityBA));
 BA.debugLineNum = 101;BA.debugLine="rc = l.Tag";
Debug.ShouldStop(16);
_rc = (_l.runMethod(false,"getTag"));Debug.locals.put("rc", _rc);
 BA.debugLineNum = 102;BA.debugLine="SelectRow(rc.Row)";
Debug.ShouldStop(32);
_selectrow(_rc.getField(true,"Row" /*RemoteObject*/ ));
 BA.debugLineNum = 104;BA.debugLine="For i=0 To list1.Size-1";
Debug.ShouldStop(128);
{
final int step6 = 1;
final int limit6 = RemoteObject.solve(new RemoteObject[] {listpat.mostCurrent._list1.runMethod(true,"getSize"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step6 > 0 && _i <= limit6) || (step6 < 0 && _i >= limit6) ;_i = ((int)(0 + _i + step6))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 105;BA.debugLine="If i=rc.Row Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, _rc.getField(true,"Row" /*RemoteObject*/ )))) { 
 BA.debugLineNum = 106;BA.debugLine="Dim map1 As Map";
Debug.ShouldStop(512);
_map1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");Debug.locals.put("map1", _map1);
 BA.debugLineNum = 107;BA.debugLine="map1=list1.Get(i)";
Debug.ShouldStop(1024);
_map1 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.collections.Map"), listpat.mostCurrent._list1.runMethod(false,"Get",(Object)(BA.numberCast(int.class, _i))));
 };
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 111;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cell_longclick() throws Exception{
try {
		Debug.PushSubsStack("Cell_LongClick (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,75);
if (RapidSub.canDelegate("cell_longclick")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","cell_longclick");}
RemoteObject _rc = RemoteObject.declareNull("shub.dpm.listdata._rowcol");
RemoteObject _l = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _x = RemoteObject.createImmutable("");
int _i = 0;
RemoteObject _map1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
 BA.debugLineNum = 75;BA.debugLine="Sub Cell_LongClick";
Debug.ShouldStop(1024);
 BA.debugLineNum = 76;BA.debugLine="Dim rc As RowCol";
Debug.ShouldStop(2048);
_rc = RemoteObject.createNew ("shub.dpm.listdata._rowcol");Debug.locals.put("rc", _rc);
 BA.debugLineNum = 77;BA.debugLine="Dim l As Label";
Debug.ShouldStop(4096);
_l = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("l", _l);
 BA.debugLineNum = 78;BA.debugLine="Dim x As String";
Debug.ShouldStop(8192);
_x = RemoteObject.createImmutable("");Debug.locals.put("x", _x);
 BA.debugLineNum = 79;BA.debugLine="x=\"\"";
Debug.ShouldStop(16384);
_x = BA.ObjectToString("");Debug.locals.put("x", _x);
 BA.debugLineNum = 80;BA.debugLine="l = Sender";
Debug.ShouldStop(32768);
_l = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.LabelWrapper"), listpat.mostCurrent.__c.runMethod(false,"Sender",listpat.mostCurrent.activityBA));
 BA.debugLineNum = 81;BA.debugLine="rc = l.Tag";
Debug.ShouldStop(65536);
_rc = (_l.runMethod(false,"getTag"));Debug.locals.put("rc", _rc);
 BA.debugLineNum = 82;BA.debugLine="SelectRow(rc.Row)";
Debug.ShouldStop(131072);
_selectrow(_rc.getField(true,"Row" /*RemoteObject*/ ));
 BA.debugLineNum = 84;BA.debugLine="For i=0 To list1.Size-1";
Debug.ShouldStop(524288);
{
final int step8 = 1;
final int limit8 = RemoteObject.solve(new RemoteObject[] {listpat.mostCurrent._list1.runMethod(true,"getSize"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step8 > 0 && _i <= limit8) || (step8 < 0 && _i >= limit8) ;_i = ((int)(0 + _i + step8))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 85;BA.debugLine="If i=rc.Row Then";
Debug.ShouldStop(1048576);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, _rc.getField(true,"Row" /*RemoteObject*/ )))) { 
 BA.debugLineNum = 86;BA.debugLine="Dim map1 As Map";
Debug.ShouldStop(2097152);
_map1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");Debug.locals.put("map1", _map1);
 BA.debugLineNum = 87;BA.debugLine="map1=list1.Get(i)";
Debug.ShouldStop(4194304);
_map1 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.collections.Map"), listpat.mostCurrent._list1.runMethod(false,"Get",(Object)(BA.numberCast(int.class, _i))));
 BA.debugLineNum = 88;BA.debugLine="x=map1.Get(\"id\")";
Debug.ShouldStop(8388608);
_x = BA.ObjectToString(_map1.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("id")))));Debug.locals.put("x", _x);
 };
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 93;BA.debugLine="AllgFnkt.PID=x";
Debug.ShouldStop(268435456);
listpat.mostCurrent._allgfnkt._pid /*RemoteObject*/  = _x;
 BA.debugLineNum = 94;BA.debugLine="Activity.Finish";
Debug.ShouldStop(536870912);
listpat.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 95;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _clearall() throws Exception{
try {
		Debug.PushSubsStack("ClearAll (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,211);
if (RapidSub.canDelegate("clearall")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","clearall");}
int _i = 0;
 BA.debugLineNum = 211;BA.debugLine="Sub ClearAll";
Debug.ShouldStop(262144);
 BA.debugLineNum = 212;BA.debugLine="For i = Table.NumberOfViews -1 To 0 Step -1";
Debug.ShouldStop(524288);
{
final int step1 = -1;
final int limit1 = 0;
_i = RemoteObject.solve(new RemoteObject[] {listpat.mostCurrent._table.runMethod(true,"getNumberOfViews"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue() ;
for (;(step1 > 0 && _i <= limit1) || (step1 < 0 && _i >= limit1) ;_i = ((int)(0 + _i + step1))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 213;BA.debugLine="Table.RemoveViewAt(i)";
Debug.ShouldStop(1048576);
listpat.mostCurrent._table.runVoidMethod ("RemoveViewAt",(Object)(BA.numberCast(int.class, _i)));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 215;BA.debugLine="Table.Height = 0";
Debug.ShouldStop(4194304);
listpat.mostCurrent._table.runMethod(true,"setHeight",BA.numberCast(int.class, 0));
 BA.debugLineNum = 216;BA.debugLine="SelectedRow = -1";
Debug.ShouldStop(8388608);
listpat._selectedrow = BA.numberCast(int.class, -(double) (0 + 1));
 BA.debugLineNum = 217;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _get_data() throws Exception{
try {
		Debug.PushSubsStack("Get_Data (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,58);
if (RapidSub.canDelegate("get_data")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","get_data");}
RemoteObject _i = RemoteObject.createImmutable(0);
RemoteObject _map1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
RemoteObject _s1 = RemoteObject.createImmutable("");
RemoteObject _s2 = RemoteObject.createImmutable("");
 BA.debugLineNum = 58;BA.debugLine="Sub Get_Data";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 59;BA.debugLine="list1 = AllgFnkt.resultlist";
Debug.ShouldStop(67108864);
listpat.mostCurrent._list1 = listpat.mostCurrent._allgfnkt._resultlist /*RemoteObject*/ ;
 BA.debugLineNum = 60;BA.debugLine="Dim i As Int";
Debug.ShouldStop(134217728);
_i = RemoteObject.createImmutable(0);Debug.locals.put("i", _i);
 BA.debugLineNum = 61;BA.debugLine="For i=0 To list1.Size-1";
Debug.ShouldStop(268435456);
{
final int step3 = 1;
final int limit3 = RemoteObject.solve(new RemoteObject[] {listpat.mostCurrent._list1.runMethod(true,"getSize"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = BA.numberCast(int.class, 0) ;
for (;(step3 > 0 && _i.<Integer>get().intValue() <= limit3) || (step3 < 0 && _i.<Integer>get().intValue() >= limit3) ;_i = RemoteObject.createImmutable((int)(0 + _i.<Integer>get().intValue() + step3))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 62;BA.debugLine="Dim map1 As Map";
Debug.ShouldStop(536870912);
_map1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");Debug.locals.put("map1", _map1);
 BA.debugLineNum = 63;BA.debugLine="map1=list1.Get(i)";
Debug.ShouldStop(1073741824);
_map1 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.collections.Map"), listpat.mostCurrent._list1.runMethod(false,"Get",(Object)(_i)));
 BA.debugLineNum = 64;BA.debugLine="Dim s1 As String";
Debug.ShouldStop(-2147483648);
_s1 = RemoteObject.createImmutable("");Debug.locals.put("s1", _s1);
 BA.debugLineNum = 65;BA.debugLine="Dim s2 As String";
Debug.ShouldStop(1);
_s2 = RemoteObject.createImmutable("");Debug.locals.put("s2", _s2);
 BA.debugLineNum = 66;BA.debugLine="s1=map1.Get(\"id\")";
Debug.ShouldStop(2);
_s1 = BA.ObjectToString(_map1.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("id")))));Debug.locals.put("s1", _s1);
 BA.debugLineNum = 67;BA.debugLine="s2=map1.Get(\"pat\")";
Debug.ShouldStop(4);
_s2 = BA.ObjectToString(_map1.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("pat")))));Debug.locals.put("s2", _s2);
 BA.debugLineNum = 68;BA.debugLine="AddRow(Array As String(s1,s2))";
Debug.ShouldStop(8);
_addrow(RemoteObject.createNewArray("String",new int[] {2},new Object[] {_s1,_s2}));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 70;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getcell(RemoteObject _row,RemoteObject _col) throws Exception{
try {
		Debug.PushSubsStack("GetCell (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,208);
if (RapidSub.canDelegate("getcell")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","getcell", _row, _col);}
Debug.locals.put("Row", _row);
Debug.locals.put("Col", _col);
 BA.debugLineNum = 208;BA.debugLine="Sub GetCell(Row As Int, Col As Int) As String";
Debug.ShouldStop(32768);
 BA.debugLineNum = 209;BA.debugLine="Return GetView(Row, Col).Text";
Debug.ShouldStop(65536);
if (true) return _getview(_row,_col).runMethod(true,"getText");
 BA.debugLineNum = 210;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getview(RemoteObject _row,RemoteObject _col) throws Exception{
try {
		Debug.PushSubsStack("GetView (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,131);
if (RapidSub.canDelegate("getview")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","getview", _row, _col);}
RemoteObject _l = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
Debug.locals.put("Row", _row);
Debug.locals.put("Col", _col);
 BA.debugLineNum = 131;BA.debugLine="Sub GetView(Row As Int, Col As Int) As Label";
Debug.ShouldStop(4);
 BA.debugLineNum = 132;BA.debugLine="Dim l As Label";
Debug.ShouldStop(8);
_l = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("l", _l);
 BA.debugLineNum = 133;BA.debugLine="l = Table.GetView(Row * NumberOfColumns + Col)";
Debug.ShouldStop(16);
_l = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.LabelWrapper"), listpat.mostCurrent._table.runMethod(false,"GetView",(Object)(RemoteObject.solve(new RemoteObject[] {_row,listpat._numberofcolumns,_col}, "*+",1, 1))).getObject());
 BA.debugLineNum = 134;BA.debugLine="Return l";
Debug.ShouldStop(32);
if (true) return _l;
 BA.debugLineNum = 135;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 10;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 12;BA.debugLine="Dim SV As ScrollView";
listpat.mostCurrent._sv = RemoteObject.createNew ("anywheresoftware.b4a.objects.ScrollViewWrapper");
 //BA.debugLineNum = 13;BA.debugLine="Dim BtnClose As Button";
listpat.mostCurrent._btnclose = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 14;BA.debugLine="Dim Header As Panel";
listpat.mostCurrent._header = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");
 //BA.debugLineNum = 15;BA.debugLine="Dim Table As Panel";
listpat.mostCurrent._table = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");
 //BA.debugLineNum = 16;BA.debugLine="Dim NumberOfColumns, RowHeight, ColumnWidth As In";
listpat._numberofcolumns = RemoteObject.createImmutable(0);
listpat._rowheight = RemoteObject.createImmutable(0);
listpat._columnwidth = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 17;BA.debugLine="Dim HeaderColor, TableColor, FontColor, HeaderFon";
listpat._headercolor = RemoteObject.createImmutable(0);
listpat._tablecolor = RemoteObject.createImmutable(0);
listpat._fontcolor = RemoteObject.createImmutable(0);
listpat._headerfontcolor = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 18;BA.debugLine="Dim FontSize As Float";
listpat._fontsize = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 19;BA.debugLine="Dim Alignment As Int";
listpat._alignment = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 20;BA.debugLine="Dim SelectedRow As Int";
listpat._selectedrow = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 21;BA.debugLine="Dim SelectedRowColor As Int";
listpat._selectedrowcolor = RemoteObject.createImmutable(0);
 //BA.debugLineNum = 24;BA.debugLine="HeaderColor = Colors.Gray";
listpat._headercolor = listpat.mostCurrent.__c.getField(false,"Colors").getField(true,"Gray");
 //BA.debugLineNum = 25;BA.debugLine="NumberOfColumns = 2";
listpat._numberofcolumns = BA.numberCast(int.class, 2);
 //BA.debugLineNum = 26;BA.debugLine="RowHeight = 30dip";
listpat._rowheight = listpat.mostCurrent.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 30)));
 //BA.debugLineNum = 27;BA.debugLine="TableColor = Colors.White";
listpat._tablecolor = listpat.mostCurrent.__c.getField(false,"Colors").getField(true,"White");
 //BA.debugLineNum = 28;BA.debugLine="FontColor = Colors.Black";
listpat._fontcolor = listpat.mostCurrent.__c.getField(false,"Colors").getField(true,"Black");
 //BA.debugLineNum = 29;BA.debugLine="HeaderFontColor = Colors.White";
listpat._headerfontcolor = listpat.mostCurrent.__c.getField(false,"Colors").getField(true,"White");
 //BA.debugLineNum = 30;BA.debugLine="FontSize = 11";
listpat._fontsize = BA.numberCast(float.class, 11);
 //BA.debugLineNum = 31;BA.debugLine="Alignment = Gravity.CENTER 'change to Gravity.LEF";
listpat._alignment = listpat.mostCurrent.__c.getField(false,"Gravity").getField(true,"CENTER");
 //BA.debugLineNum = 32;BA.debugLine="SelectedRowColor = Colors.Blue";
listpat._selectedrowcolor = listpat.mostCurrent.__c.getField(false,"Colors").getField(true,"Blue");
 //BA.debugLineNum = 33;BA.debugLine="Dim list1 As List";
listpat.mostCurrent._list1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");
 //BA.debugLineNum = 34;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _header_click() throws Exception{
try {
		Debug.PushSubsStack("Header_Click (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,112);
if (RapidSub.canDelegate("header_click")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","header_click");}
RemoteObject _l = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _col = RemoteObject.createImmutable(0);
 BA.debugLineNum = 112;BA.debugLine="Sub Header_Click";
Debug.ShouldStop(32768);
 BA.debugLineNum = 113;BA.debugLine="Dim l As Label";
Debug.ShouldStop(65536);
_l = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("l", _l);
 BA.debugLineNum = 114;BA.debugLine="Dim col As Int";
Debug.ShouldStop(131072);
_col = RemoteObject.createImmutable(0);Debug.locals.put("col", _col);
 BA.debugLineNum = 115;BA.debugLine="l = Sender";
Debug.ShouldStop(262144);
_l = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.LabelWrapper"), listpat.mostCurrent.__c.runMethod(false,"Sender",listpat.mostCurrent.activityBA));
 BA.debugLineNum = 116;BA.debugLine="col = l.Tag";
Debug.ShouldStop(524288);
_col = BA.numberCast(int.class, _l.runMethod(false,"getTag"));Debug.locals.put("col", _col);
 BA.debugLineNum = 118;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _init_view() throws Exception{
try {
		Debug.PushSubsStack("init_view (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,40);
if (RapidSub.canDelegate("init_view")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","init_view");}
 BA.debugLineNum = 40;BA.debugLine="Sub init_view";
Debug.ShouldStop(128);
 BA.debugLineNum = 42;BA.debugLine="SV.Initialize(0)";
Debug.ShouldStop(512);
listpat.mostCurrent._sv.runVoidMethod ("Initialize",listpat.mostCurrent.activityBA,(Object)(BA.numberCast(int.class, 0)));
 BA.debugLineNum = 43;BA.debugLine="Activity.LoadLayout(\"LData\")";
Debug.ShouldStop(1024);
listpat.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("LData")),listpat.mostCurrent.activityBA);
 BA.debugLineNum = 45;BA.debugLine="Table = SV.Panel";
Debug.ShouldStop(4096);
listpat.mostCurrent._table = listpat.mostCurrent._sv.runMethod(false,"getPanel");
 BA.debugLineNum = 46;BA.debugLine="Table.Color = TableColor";
Debug.ShouldStop(8192);
listpat.mostCurrent._table.runVoidMethod ("setColor",listpat._tablecolor);
 BA.debugLineNum = 47;BA.debugLine="Activity.AddView(SV, 5%x, 10%y, 90%x, 80%y)";
Debug.ShouldStop(16384);
listpat.mostCurrent._activity.runVoidMethod ("AddView",(Object)((listpat.mostCurrent._sv.getObject())),(Object)(listpat.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 5)),listpat.mostCurrent.activityBA)),(Object)(listpat.mostCurrent.__c.runMethod(true,"PerYToCurrent",(Object)(BA.numberCast(float.class, 10)),listpat.mostCurrent.activityBA)),(Object)(listpat.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 90)),listpat.mostCurrent.activityBA)),(Object)(listpat.mostCurrent.__c.runMethod(true,"PerYToCurrent",(Object)(BA.numberCast(float.class, 80)),listpat.mostCurrent.activityBA)));
 BA.debugLineNum = 48;BA.debugLine="Activity.Title=\"Chargen\"";
Debug.ShouldStop(32768);
listpat.mostCurrent._activity.runMethod(false,"setTitle",BA.ObjectToCharSequence("Chargen"));
 BA.debugLineNum = 49;BA.debugLine="ColumnWidth = SV.Width / NumberOfColumns";
Debug.ShouldStop(65536);
listpat._columnwidth = BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {listpat.mostCurrent._sv.runMethod(true,"getWidth"),listpat._numberofcolumns}, "/",0, 0));
 BA.debugLineNum = 50;BA.debugLine="SelectedRow = -1";
Debug.ShouldStop(131072);
listpat._selectedrow = BA.numberCast(int.class, -(double) (0 + 1));
 BA.debugLineNum = 52;BA.debugLine="SetHeader(Array As String(\"ID\", \"Patient\"))";
Debug.ShouldStop(524288);
_setheader(RemoteObject.createNewArray("String",new int[] {2},new Object[] {BA.ObjectToString("ID"),RemoteObject.createImmutable("Patient")}));
 BA.debugLineNum = 54;BA.debugLine="Get_Data";
Debug.ShouldStop(2097152);
_get_data();
 BA.debugLineNum = 55;BA.debugLine="Activity.Title=\"Daten \" & AllgFnkt.PatName";
Debug.ShouldStop(4194304);
listpat.mostCurrent._activity.runMethod(false,"setTitle",BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Daten "),listpat.mostCurrent._allgfnkt._patname /*RemoteObject*/ )));
 BA.debugLineNum = 56;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _numberofrows() throws Exception{
try {
		Debug.PushSubsStack("NumberOfRows (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,201);
if (RapidSub.canDelegate("numberofrows")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","numberofrows");}
 BA.debugLineNum = 201;BA.debugLine="Sub NumberOfRows As Int";
Debug.ShouldStop(256);
 BA.debugLineNum = 202;BA.debugLine="Return Table.NumberOfViews / NumberOfColumns";
Debug.ShouldStop(512);
if (true) return BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {listpat.mostCurrent._table.runMethod(true,"getNumberOfViews"),listpat._numberofcolumns}, "/",0, 0));
 BA.debugLineNum = 203;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _selectrow(RemoteObject _row) throws Exception{
try {
		Debug.PushSubsStack("SelectRow (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,119);
if (RapidSub.canDelegate("selectrow")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","selectrow", _row);}
int _col = 0;
Debug.locals.put("Row", _row);
 BA.debugLineNum = 119;BA.debugLine="Sub SelectRow(Row As Int)";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 121;BA.debugLine="If SelectedRow > -1 Then";
Debug.ShouldStop(16777216);
if (RemoteObject.solveBoolean(">",listpat._selectedrow,BA.numberCast(double.class, -(double) (0 + 1)))) { 
 BA.debugLineNum = 122;BA.debugLine="For col = 0 To NumberOfColumns - 1";
Debug.ShouldStop(33554432);
{
final int step2 = 1;
final int limit2 = RemoteObject.solve(new RemoteObject[] {listpat._numberofcolumns,RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_col = 0 ;
for (;(step2 > 0 && _col <= limit2) || (step2 < 0 && _col >= limit2) ;_col = ((int)(0 + _col + step2))  ) {
Debug.locals.put("col", _col);
 BA.debugLineNum = 123;BA.debugLine="GetView(SelectedRow, col).Color = Colors.Transp";
Debug.ShouldStop(67108864);
_getview(listpat._selectedrow,BA.numberCast(int.class, _col)).runVoidMethod ("setColor",listpat.mostCurrent.__c.getField(false,"Colors").getField(true,"Transparent"));
 }
}Debug.locals.put("col", _col);
;
 };
 BA.debugLineNum = 126;BA.debugLine="SelectedRow = Row";
Debug.ShouldStop(536870912);
listpat._selectedrow = _row;
 BA.debugLineNum = 127;BA.debugLine="For col = 0 To NumberOfColumns - 1";
Debug.ShouldStop(1073741824);
{
final int step7 = 1;
final int limit7 = RemoteObject.solve(new RemoteObject[] {listpat._numberofcolumns,RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_col = 0 ;
for (;(step7 > 0 && _col <= limit7) || (step7 < 0 && _col >= limit7) ;_col = ((int)(0 + _col + step7))  ) {
Debug.locals.put("col", _col);
 BA.debugLineNum = 128;BA.debugLine="GetView(Row, col).Color = SelectedRowColor";
Debug.ShouldStop(-2147483648);
_getview(_row,BA.numberCast(int.class, _col)).runVoidMethod ("setColor",listpat._selectedrowcolor);
 }
}Debug.locals.put("col", _col);
;
 BA.debugLineNum = 130;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setcell(RemoteObject _row,RemoteObject _col,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("SetCell (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,205);
if (RapidSub.canDelegate("setcell")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","setcell", _row, _col, _value);}
Debug.locals.put("Row", _row);
Debug.locals.put("Col", _col);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 205;BA.debugLine="Sub SetCell(Row As Int, Col As Int, Value As Strin";
Debug.ShouldStop(4096);
 BA.debugLineNum = 206;BA.debugLine="GetView(Row, Col).Text = Value";
Debug.ShouldStop(8192);
_getview(_row,_col).runMethod(true,"setText",BA.ObjectToCharSequence(_value));
 BA.debugLineNum = 207;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setheader(RemoteObject _values) throws Exception{
try {
		Debug.PushSubsStack("SetHeader (listpat) ","listpat",7,listpat.mostCurrent.activityBA,listpat.mostCurrent,173);
if (RapidSub.canDelegate("setheader")) { return shub.dpm.listpat.remoteMe.runUserSub(false, "listpat","setheader", _values);}
int _i = 0;
RemoteObject _l = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _leftpos = RemoteObject.createImmutable(0);
RemoteObject _colwi = RemoteObject.createImmutable(0);
Debug.locals.put("Values", _values);
 BA.debugLineNum = 173;BA.debugLine="Sub SetHeader(Values() As String)";
Debug.ShouldStop(4096);
 BA.debugLineNum = 174;BA.debugLine="If Header.IsInitialized Then Return 'should only";
Debug.ShouldStop(8192);
if (listpat.mostCurrent._header.runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
if (true) return RemoteObject.createImmutable("");};
 BA.debugLineNum = 175;BA.debugLine="Header.Initialize(\"\")";
Debug.ShouldStop(16384);
listpat.mostCurrent._header.runVoidMethod ("Initialize",listpat.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 176;BA.debugLine="For i = 0 To NumberOfColumns - 1";
Debug.ShouldStop(32768);
{
final int step3 = 1;
final int limit3 = RemoteObject.solve(new RemoteObject[] {listpat._numberofcolumns,RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step3 > 0 && _i <= limit3) || (step3 < 0 && _i >= limit3) ;_i = ((int)(0 + _i + step3))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 177;BA.debugLine="Dim l As Label";
Debug.ShouldStop(65536);
_l = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("l", _l);
 BA.debugLineNum = 178;BA.debugLine="l.Initialize(\"header\")";
Debug.ShouldStop(131072);
_l.runVoidMethod ("Initialize",listpat.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("header")));
 BA.debugLineNum = 179;BA.debugLine="l.Text = Values(i)";
Debug.ShouldStop(262144);
_l.runMethod(true,"setText",BA.ObjectToCharSequence(_values.getArrayElement(true,BA.numberCast(int.class, _i))));
 BA.debugLineNum = 180;BA.debugLine="l.Gravity = Gravity.CENTER";
Debug.ShouldStop(524288);
_l.runMethod(true,"setGravity",listpat.mostCurrent.__c.getField(false,"Gravity").getField(true,"CENTER"));
 BA.debugLineNum = 181;BA.debugLine="If i=1 Then l.Gravity=Bit.Or(Gravity.FILL, Gravi";
Debug.ShouldStop(1048576);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, 1))) { 
_l.runMethod(true,"setGravity",listpat.mostCurrent.__c.getField(false,"Bit").runMethod(true,"Or",(Object)(listpat.mostCurrent.__c.getField(false,"Gravity").getField(true,"FILL")),(Object)(listpat.mostCurrent.__c.getField(false,"Gravity").getField(true,"CENTER_HORIZONTAL"))));};
 BA.debugLineNum = 182;BA.debugLine="l.TextSize = FontSize";
Debug.ShouldStop(2097152);
_l.runMethod(true,"setTextSize",listpat._fontsize);
 BA.debugLineNum = 183;BA.debugLine="l.Color = HeaderColor";
Debug.ShouldStop(4194304);
_l.runVoidMethod ("setColor",listpat._headercolor);
 BA.debugLineNum = 184;BA.debugLine="l.TextColor = HeaderFontColor";
Debug.ShouldStop(8388608);
_l.runMethod(true,"setTextColor",listpat._headerfontcolor);
 BA.debugLineNum = 185;BA.debugLine="l.Tag = i";
Debug.ShouldStop(16777216);
_l.runMethod(false,"setTag",RemoteObject.createImmutable((_i)));
 BA.debugLineNum = 186;BA.debugLine="Dim leftpos As Int";
Debug.ShouldStop(33554432);
_leftpos = RemoteObject.createImmutable(0);Debug.locals.put("leftpos", _leftpos);
 BA.debugLineNum = 187;BA.debugLine="Dim colwi As Int";
Debug.ShouldStop(67108864);
_colwi = RemoteObject.createImmutable(0);Debug.locals.put("colwi", _colwi);
 BA.debugLineNum = 188;BA.debugLine="If i=0 Then";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 189;BA.debugLine="leftpos=0";
Debug.ShouldStop(268435456);
_leftpos = BA.numberCast(int.class, 0);Debug.locals.put("leftpos", _leftpos);
 BA.debugLineNum = 190;BA.debugLine="colwi=20%x";
Debug.ShouldStop(536870912);
_colwi = listpat.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 20)),listpat.mostCurrent.activityBA);Debug.locals.put("colwi", _colwi);
 };
 BA.debugLineNum = 192;BA.debugLine="If i=1 Then";
Debug.ShouldStop(-2147483648);
if (RemoteObject.solveBoolean("=",RemoteObject.createImmutable(_i),BA.numberCast(double.class, 1))) { 
 BA.debugLineNum = 193;BA.debugLine="leftpos=20%x";
Debug.ShouldStop(1);
_leftpos = listpat.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 20)),listpat.mostCurrent.activityBA);Debug.locals.put("leftpos", _leftpos);
 BA.debugLineNum = 194;BA.debugLine="colwi=80%x";
Debug.ShouldStop(2);
_colwi = listpat.mostCurrent.__c.runMethod(true,"PerXToCurrent",(Object)(BA.numberCast(float.class, 80)),listpat.mostCurrent.activityBA);Debug.locals.put("colwi", _colwi);
 };
 BA.debugLineNum = 197;BA.debugLine="Header.AddView(l, leftpos , 0, colwi, RowHeight)";
Debug.ShouldStop(16);
listpat.mostCurrent._header.runVoidMethod ("AddView",(Object)((_l.getObject())),(Object)(_leftpos),(Object)(BA.numberCast(int.class, 0)),(Object)(_colwi),(Object)(listpat._rowheight));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 199;BA.debugLine="Activity.AddView(Header, SV.Left, SV.Top - RowHei";
Debug.ShouldStop(64);
listpat.mostCurrent._activity.runVoidMethod ("AddView",(Object)((listpat.mostCurrent._header.getObject())),(Object)(listpat.mostCurrent._sv.runMethod(true,"getLeft")),(Object)(RemoteObject.solve(new RemoteObject[] {listpat.mostCurrent._sv.runMethod(true,"getTop"),listpat._rowheight}, "-",1, 1)),(Object)(listpat.mostCurrent._sv.runMethod(true,"getWidth")),(Object)(listpat._rowheight));
 BA.debugLineNum = 200;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}